俺的Ubuntu装不了软件了,各位大虾过来帮下~!

重复贴和参考价值不大的帖子,版主维护
回复
可米star
帖子: 3
注册时间: 2009-02-28 14:37
送出感谢: 0
接收感谢: 0

俺的Ubuntu装不了软件了,各位大虾过来帮下~!

#1

帖子 可米star » 2009-03-03 14:29

starg@ubuntu:~/桌面$ sudo dpkg -i linux_fetion_v0.9.1_8.04_i386.deb
dpkg: 另外一个进程已经为状态数据库加了锁
starg@ubuntu:~/桌面$
这个是怎么回事呀,大家帮我解决下~!谢谢咯~!
woailuoabc
帖子: 31
注册时间: 2008-11-26 22:09
送出感谢: 0
接收感谢: 0

Re: 俺的Ubuntu装不了软件了,各位大虾过来帮下~!

#2

帖子 woailuoabc » 2009-03-03 14:48

你肯定是同时开的新立德或是其他装东西的 只能开一个
可米star
帖子: 3
注册时间: 2009-02-28 14:37
送出感谢: 0
接收感谢: 0

Re: 俺的Ubuntu装不了软件了,各位大虾过来帮下~!

#3

帖子 可米star » 2009-03-03 15:43

没有,刚启动也装不了,那是怎么回事儿? :em23
头像
windwhinny
帖子: 618
注册时间: 2007-09-26 17:34
送出感谢: 0
接收感谢: 2 次

Re: 俺的Ubuntu装不了软件了,各位大虾过来帮下~!

#4

帖子 windwhinny » 2009-03-03 15:44

有另外一个软件管理器正在运行
头像
upsuper
帖子: 361
注册时间: 2008-06-08 13:31
来自: 福州
送出感谢: 0
接收感谢: 1 次
联系:

Re: 俺的Ubuntu装不了软件了,各位大虾过来帮下~!

#5

帖子 upsuper » 2009-03-03 16:45

刚开机也可能有自动更新……
如果你十分确定没有任何包管理打开,那么可以用以下命令撤掉锁(危险!请先确认确实没有任何包管理程序打开)
sudo rm /var/lib/dpkg/lock
可米star
帖子: 3
注册时间: 2009-02-28 14:37
送出感谢: 0
接收感谢: 0

Re: 俺的Ubuntu装不了软件了,各位大虾过来帮下~!

#6

帖子 可米star » 2009-03-04 2:10

starg@ubuntu:~/桌面$ sudo dpkg -i linuxqq_v1.0.2-beta1_i386.deb
dpkg:处理 linuxqq_v1.0.2-beta1_i386.deb (--install)时出错:
软件包的体系架构(i386)与本机系统的架构(amd64)不符
在处理时有错误发生:
linuxqq_v1.0.2-beta1_i386.deb
starg@ubuntu:~/桌面$
这又是怎么个情况呀?
头像
zw026
帖子: 89
注册时间: 2009-01-21 13:06
送出感谢: 0
接收感谢: 0

Re: 俺的Ubuntu装不了软件了,各位大虾过来帮下~!

#7

帖子 zw026 » 2009-03-04 2:27

可米star 写了:starg@ubuntu:~/桌面$ sudo dpkg -i linuxqq_v1.0.2-beta1_i386.deb
dpkg:处理 linuxqq_v1.0.2-beta1_i386.deb (--install)时出错:
软件包的体系架构(i386)与本机系统的架构(amd64)不符
在处理时有错误发生:
linuxqq_v1.0.2-beta1_i386.deb
starg@ubuntu:~/桌面$
这又是怎么个情况呀?
i386就是inter芯片用的软件 你是amd呀,当然要去找支持amd的软件
举个例子 xubuntu-8.04.1-desktop-amd64.iso
分享是一种文化
头像
windwhinny
帖子: 618
注册时间: 2007-09-26 17:34
送出感谢: 0
接收感谢: 2 次

Re: 俺的Ubuntu装不了软件了,各位大虾过来帮下~!

#8

帖子 windwhinny » 2009-03-04 2:33

你的系统是64位的,而你下载的是32位程序,所以不能安装。用EVA吧,比官方的好多了
头像
luojie-dune
帖子: 22033
注册时间: 2007-07-30 18:28
系统: Linux
来自: 空气中
送出感谢: 9 次
接收感谢: 61 次

Re: 俺的Ubuntu装不了软件了,各位大虾过来帮下~!

#9

帖子 luojie-dune » 2009-03-04 6:44

intel和amd是一伙的。都兼容。
『这个世界都是我的 ,我爱你们』

ENTP ⥂ INTP ⥄ INFP ⇦ INTJ

在此发布的文章使用 Creative Commons Attribution-ShareAlike 4.0 协议
头像
upsuper
帖子: 361
注册时间: 2008-06-08 13:31
来自: 福州
送出感谢: 0
接收感谢: 1 次
联系:

Re: 俺的Ubuntu装不了软件了,各位大虾过来帮下~!

#10

帖子 upsuper » 2009-03-04 8:25

zw026 写了:
可米star 写了:starg@ubuntu:~/桌面$ sudo dpkg -i linuxqq_v1.0.2-beta1_i386.deb
dpkg:处理 linuxqq_v1.0.2-beta1_i386.deb (--install)时出错:
软件包的体系架构(i386)与本机系统的架构(amd64)不符
在处理时有错误发生:
linuxqq_v1.0.2-beta1_i386.deb
starg@ubuntu:~/桌面$
这又是怎么个情况呀?
i386就是inter芯片用的软件 你是amd呀,当然要去找支持amd的软件
举个例子 xubuntu-8.04.1-desktop-amd64.iso
跟intel和amd没关系……
是32位构架与64位构架的不同……
其实这种情况一开始就应该装32位的系统,这种兼容问题就会少一些……
回复

回到 “归档贴”